flag.summary {MANOR} | R Documentation

## Summarize information about flags after array normalization

### Description

Compute spot-level information (number of flagged spots, normalization parameters), and display it in a convenient way

### Usage

    ## S3 method for class 'arrayCGH':
    flag.summary(arrayCGH, flag.list, flag.var="Flag", nflab="not flagged", ...)
    ## Default S3 method:
    flag.summary(spot.flags, flag.list, nflab="not flagged", ...)

### Arguments

`arrayCGH` | an object of type arrayCGH, after normalization by MANOR
`flag.list` | a list of flags with `flag\$char` corresponding to the values of `spot.flags`
`flag.var` | the name of a variable of arrayCGH$arrayValues containing information about flags (defaults to `Flag`)
`var` | the name of a variable of arrayCGH$cloneValues containing signal values (defaults to `LogRatio`)
`spot.flags` | a character vector containing information about flags
`nflab` | a character vector providing a legend for "not flagged" spots
`...` |

### Details

This function is used by the function `html.report` for the generation of an HMTL report of the normalization step. It can also be used by itself.

### Value

A data.frame data.frame with 4 columns:

`name` | flag character
`label` | flag label
`arg` | first numeric argument of `flag\$FUN`
`count` | number of flagged spots

### Note

People interested in tools for array-CGH analysis can visit our web-page: http://bioinfo.curie.fr.

### Author(s)

Pierre Neuvial, manor@curie.fr.

### See Also

`html.report`, `flag`

### Examples

    data(spatial)
    data(flags)
    flag.list <- list(spatial=local.spatial.flag, spot=spot.corr.flag,
    ref.snr=ref.snr.flag, dapi.snr=dapi.snr.flag, rep=rep.flag,
    unique=unique.flag)
    flag.list$spatial$args <- alist(var="ScaledLogRatio", by.var=NULL,
    nk=5, prop=0.25, thr=0.15, beta=1, family="symmetric")
    flag.list$spot$args <- alist(var="SpotFlag")
    flag.list$spot$char <- "O"
    flag.list$spot$label <- "Image analysis"

    ## normalize arrayCGH
    ## Not run:
    edge.norm <- norm(edge, flag.list=flag.list,
    var="LogRatio", FUN=median, na.rm=TRUE)
    ## End(Not run)
    fs <- flag.summary(edge.norm, flag.list=flag.list, flag.var="Flag")

    print("Flag and normalization parameters summary")
    print(fs)

[Package MANOR version 1.16.0 Index]